%smooth
% Smoothing function. 
% x is the input vector of values to smooth
% K is the smoothing constant 0 < K < 1. K=1 implies total smoothing, K=0
% implies no smoothing at all.

function y = smooth( x, K )
y=zeros(size(x));
Y=x(1);
for n=1:length(x)
    y(n) = (1-K) * x(n) + K * Y;
    Y = y(n);
end

%%

function smooth_demo
x = linspace( -2*pi, 2*pi, 1000);
y = sin(x) + 0.2 * (rand(1,1000)-0.5 );
yy = smooth( y, 0.5 );
plot( x, y, x, yy );
xlabel( 'x' )
ylabel( 'y' )

%End of code

